/* Inkscape overwrite styles for readthedocs theme */

/* General styles
================= */

body {
 font-family:"Ubuntu","Lato", "proxima-nova","Helvetica Neue",Arial,sans-serif;
 font-size: 100%;
}

a {
  color: #ff7e28;
}

a:visited {
  color: #c78960;
}

a:hover {
  color: #ffa66b;
}

/* Menu */

nav a, nav a:visited, nav a:hover {
  color: #d9d9d9;
}

.wy-side-scroll .wy-side-nav-search > a, nav.wy-nav-top > a {
  color: #f7f7f7;
}

.wy-menu-vertical li.on a, .wy-menu-vertical li.current > a {
  background-color: inherit;
}

nav .caption-text {
  color: #ff7e28;
}

span.commit::before {
  content: '(';
}

span.commit code::after {
  content: ')';
}

span.commit {
  font-style: italic;
}

/* Tooltips
============== */

.reference.internal {
  position: relative;
  display: inline-block;
}

.reference.internal > .std_term {
  border-bottom: 1px dotted black;
}

.tooltip_content {
  visibility: hidden;
  width: 500px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  position: absolute;
  z-index: 1000;
  bottom: 125%;
  left: 50%;
  margin-left: -250px;
  opacity: 0;
  transition: opacity 0.3s;
  padding: 10px;
}

.tooltip_content, .tooltip_content p {
  font-size: small;
  line-height: 1.3em;
}
.tooltip_content::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.reference.internal:hover .tooltip_content {
  visibility: visible;
  opacity: 1;
}

/* Specific styles
================== */

/* Inkscape icon */
.fa-home::before, .icon-home::before {
  content: url(../images/inkscape-flat-mini.svg);
  vertical-align: middle;
}

/* icons within text */
img.inline {
  display: inline;
  height: 1.1em;
  vertical-align: text-bottom;
}

/* icons in the chapter start section */
img.header-icon {
  width: 3em;
}

/* decorative images */
img.deco {
  display: block;
  margin: 2em;
}

img.deco.left {
  float: left;
}

img.deco.center {
  margin: 2em auto;
}

img.deco.right {
  float: right;
}

img.deco.small {
  width: 25%;
}

img.deco.medium {
  width: 50%;
}

img.deco.large {
  width: 85%;
}

/* screenshot images (docutils <= 0.16) */

.rst-content .document div.figure {
  border: 1px lightgray solid;
  border-radius: 8px;
  background-color: white;
  box-shadow: 0 0 4px 2px rgba(0,0,0,0.1);
}

.rst-content .document div.figure > img {
border-top-left-radius: inherit;
border-top-right-radius: inherit;
margin-top: 0;
margin-bottom: 0;
}

img.screenshot {
  display: block;
  margin: 5px auto 25px auto;
}

.figure .caption {
  text-align: center;
  padding: 1em;
  border-top: 1px lightgray solid;
  background-color: #f3f3f3;
  border-radius: 0 0 8px 8px;
}

.two-column {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    margin: -4px;
}

.two-column div {
    display: flex;
    flex-basis: 300px;
    flex-grow: 1;
    flex-flow: column;
    margin: 4px;
}

.two-column div p.caption {
    flex-grow: 1;
}

/* screenshot images (docutils 0.17) */

.rst-content .document figure {
  border: 1px lightgray solid;
  border-radius: 8px;
  background-color: white;
  box-shadow: 0 0 4px 2px rgba(0,0,0,0.1);
}

.rst-content .document figure > img {
  border-top-left-radius: inherit;
  border-top-right-radius: inherit;
  margin-top: 0;
  margin-bottom: 0;
}

figure figcaption {
  text-align: center;
  padding: 1em;
  border-top: 1px lightgray solid;
  background-color: #f3f3f3;
  border-radius: 0 0 8px 8px;
}

.two-column figure {
    display: flex;
    flex-basis: 300px;
    flex-grow: 1;
    flex-flow: column;
    margin: 4px;
}

figure figcaption p {
    flex-grow: 1;
    margin-bottom: 0px;
}

/* Images that are decorative links */
.rst-content.style-external-links a.reference.external.image-reference::after {
  display: none; /* hide ugly link icon */
}

/* Download images */
img.third {
  width: 30%;
  margin: 2em 0;
  padding: 0 2em;
  box-sizing: border-box;
}

/* keyboard shortcuts */
.document code.kbd, kbd.kbd {
  border: 1px solid gray;
  font-size: 0.9em;
  box-shadow: 1px 0 0.5px 0 #eee, 0 1.5px 0 1.5px #ccc, 0 1.5px 0 2.5px #444;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  margin: 2px 3px;
  padding: 1px 5px;
  color: #404040;
  vertical-align: 0.1em;
}

/* Menu click paths */
span.menuselection {
  font-weight: bold;
}

/* Labels in the user interface */
.rst-content span.guilabel {
  border: none;
  background: rgb(240, 240, 240);
  font-size: 100%;
  margin: 0;
  font-weight: normal;
}

/* Fonts
========*/

/* Ubuntu Font Family Bower-ready v0.1.10 */

/* BEGIN Ubuntu Regular */
@font-face {
    font-family: 'Ubuntu';
    src: url('../fonts/ubuntu-regular-webfont.eot');
    src: url('../fonts/ubuntu-regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntu-regular-webfont.woff') format('woff'),
         url('../fonts/ubuntu-regular-webfont.ttf') format('truetype'),
         url('../fonts/ubuntu-regular-webfont.svg#ubunturegular') format('svg');
    font-weight: normal;
    font-style: normal;
}
/* END Ubuntu Regular */

/* BEGIN Ubuntu Regular Italic */
@font-face {
    font-family: 'Ubuntu';
    src: url('../fonts/ubuntu-regular-italic-webfont.eot');
    src: url('../fonts/ubuntu-regular-italic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntu-regular-italic-webfont.woff') format('woff'),
         url('../fonts/ubuntu-regular-italic-webfont.ttf') format('truetype'),
         url('../fonts/ubuntu-regular-italic-webfont.svg#ubuntuitalic') format('svg');
    font-weight: normal;
    font-style: italic;
}
/* END Ubuntu Regular Italic */

/* BEGIN Ubuntu Bold */
@font-face {
    font-family: 'Ubuntu';
    src: url('../fonts/ubuntu-bold-webfont.eot');
    src: url('../fonts/ubuntu-bold-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntu-bold-webfont.woff') format('woff'),
         url('../fonts/ubuntu-bold-webfont.ttf') format('truetype'),
         url('../fonts/ubuntu-bold-webfont.svg#ubuntubold') format('svg');
    font-weight: bold;
    font-style: normal;
}
/* END Ubuntu Bold */

/* BEGIN Ubuntu Bold Italic */
@font-face {
    font-family: 'Ubuntu';
    src: url('../fonts/ubuntu-bold-italic-webfont.eot');
    src: url('../fonts/ubuntu-bold-italic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntu-bold-italic-webfont.woff') format('woff'),
         url('../fonts/ubuntu-bold-italic-webfont.ttf') format('truetype'),
         url('../fonts/ubuntu-bold-italic-webfont.svg#ubuntubold_italic') format('svg');
    font-weight: bold;
    font-style: italic;
}
/* END Ubuntu Bold Italic */
/* MIT License (MIT), Copyright (c) 2015 Ewerton Assis <earaujoassis@gmail.com>*/

/* BEGIN Ubuntu Mono Regular */
@font-face {
    font-family: 'Ubuntu Monospace';
    src: url('../fonts/ubuntumono-regular-webfont.eot');
    src: url('../fonts/ubuntumono-regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntumono-regular-webfont.woff') format('woff'),
         url('../fonts/ubuntumono-regular-webfont.ttf') format('truetype'),
         url('../fonts/ubuntumono-regular-webfont.svg#ubuntu_monoregular') format('svg');
    font-weight: normal;
    font-style: normal;

}
/* END Ubuntu Mono Regular */

/* BEGIN Ubuntu Mono Italic */
@font-face {
    font-family: 'Ubuntu Monospace';
    src: url('../fonts/ubuntumono-regular-italic-webfont.eot');
    src: url('../fonts/ubuntumono-regular-italic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntumono-regular-italic-webfont.woff') format('woff'),
         url('../fonts/ubuntumono-regular-italic-webfont.ttf') format('truetype'),
         url('../fonts/ubuntumono-regular-italic-webfont.svg#ubuntu_monoitalic') format('svg');
    font-weight: normal;
    font-style: italic;
}
/* END Ubuntu Mono Italic */

/* BEGIN Ubuntu Mono Bold */
@font-face {
    font-family: 'Ubuntu Monospace';
    src: url('../fonts/ubuntumono-b-webfont.eot');
    src: url('../fonts/ubuntumono-b-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntumono-b-webfont.woff') format('woff'),
         url('../fonts/ubuntumono-b-webfont.ttf') format('truetype'),
         url('../fonts/ubuntumono-b-webfont.svg#ubuntu_monobold') format('svg');
    font-weight: bold;
    font-style: normal;
}
/* END Ubuntu Mono Bold */

/* BEGIN Ubuntu Mono Bold Italic */
@font-face {
    font-family: 'Ubuntu Monospace';
    src: url('../fonts/ubuntumono-bold-italic-webfont.eot');
    src: url('../fonts/ubuntumono-bold-italic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/ubuntumono-bold-italic-webfont.woff') format('woff'),
         url('../fonts/ubuntumono-bold-italic-webfont.ttf') format('truetype'),
         url('../fonts/ubuntumono-bold-italic-webfont.svg#ubuntu_monobold_italic') format('svg');
    font-weight: bold;
    font-style: italic;

}
/* END Ubuntu Mono Bold Italic */
